- Main Page
- Tutorials
- Functions
- Release Notes
- Examples

Data Structures | Namespaces | Typedefs | Functions
features.h File Reference
`#include <af/defines.h>`

Go to the source code of this file.

## Data Structures
class | features

## Namespaces
| af

## Typedefs
typedef void * | af_features

## Functions
AFAPI af_err | af_create_features (af_features *feat, dim_t num)
AFAPI af_err | af_retain_features (af_features *out, const af_features feat)
AFAPI af_err | af_get_features_num (dim_t *num, const af_features feat)
AFAPI af_err | af_get_features_xpos (af_array *out, const af_features feat)
AFAPI af_err | af_get_features_ypos (af_array *out, const af_features feat)
AFAPI af_err | af_get_features_score (af_array *score, const af_features feat)
AFAPI af_err | af_get_features_orientation (af_array *orientation, const af_features feat)
AFAPI af_err | af_get_features_size (af_array *size, const af_features feat)
AFAPI af_err | af_release_features (af_features feat)

## Typedef Documentation

typedef void* af_features

## Function Documentation

AFAPI af_err af_create_features | ( | af_features * | feat,
|  | dim_t | num
| ) |  |

AFAPI af_err af_get_features_num | ( | dim_t * | num,
|  | const af_features | feat
| ) |  |

Examples:
  fast.cpp, and harris.cpp.

AFAPI af_err af_get_features_orientation | ( | af_array * | orientation,
|  | const af_features | feat
| ) |  |

Examples:
  fast.cpp, and harris.cpp.

AFAPI af_err af_get_features_score | ( | af_array * | score,
|  | const af_features | feat
| ) |  |

Examples:
  fast.cpp, and harris.cpp.

AFAPI af_err af_get_features_size | ( | af_array * | size,
|  | const af_features | feat
| ) |  |

Examples:
  fast.cpp, and harris.cpp.

AFAPI af_err af_get_features_xpos | ( | af_array * | out,
|  | const af_features | feat
| ) |  |

Examples:
  fast.cpp, and harris.cpp.

AFAPI af_err af_get_features_ypos | ( | af_array * | out,
|  | const af_features | feat
| ) |  |

Examples:
  fast.cpp, and harris.cpp.

AFAPI af_err af_release_features | ( | af_features | feat | ) |

AFAPI af_err af_retain_features | ( | af_features * | out,
|  | const af_features | feat
| ) |  |